import * as $dara from '@darabonba/typescript';
import { RenewReservedInstancesResponseBody } from "./RenewReservedInstancesResponseBody";
export declare class RenewReservedInstancesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: RenewReservedInstancesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
